package scenes 
{
	import jp.progression.casts.*;
	import jp.progression.commands.display.*;
	import jp.progression.commands.lists.*;
	import jp.progression.commands.managers.*;
	import jp.progression.commands.media.*;
	import jp.progression.commands.net.*;
	import jp.progression.commands.tweens.*;
	import jp.progression.commands.*;
	import jp.progression.data.*;
	import jp.progression.events.*;
	import jp.progression.loader.*;
	import jp.progression.*;
	import jp.progression.scenes.*;
	import pages.FrenchPhoto;
	import pages.FrenchText;
	
	/**
	 * ...
	 * @author aoki
	 */
	public class FrenchScene extends SceneObject 
	{
		private var frenchPhoto:FrenchPhoto;
		private var frenchText:FrenchText;
		public function FrenchScene( name:String = null, initObject:Object = null ) 
		{
			// 親クラスを初期化する
			super( name, initObject );
			
			// シーンタイトルを設定します。
			title = "title";
			
			frenchPhoto = new FrenchPhoto();
			frenchPhoto.x = 120;
			frenchPhoto.y = 40;
			frenchText = new FrenchText();
			frenchText.x = 119;
			frenchText.y = 354;
		}
		override protected function atSceneLoad():void {
			GalleryScene(parent).backButton.sceneId = new SceneId( "/index/gallery/american" );
			GalleryScene(parent).nextButton.sceneId = new SceneId( "/index/gallery/mame" );
			addCommand(
				new AddChild( container , GalleryScene(parent).photoBG ),
				new AddChild( container , GalleryScene(parent).closeButton ),
				new AddChild( container , GalleryScene(parent).photoBase ),
				new AddChild( container , GalleryScene(parent).backButton ),
				new AddChild( container , GalleryScene(parent).nextButton ),
				new AddChild( container , frenchPhoto ),
				new AddChild( container , frenchText)
			);
		}
		override protected function atSceneUnload():void {
			addCommand(
				new RemoveChild( container , frenchPhoto ),
				new RemoveChild( container , frenchText )
			);
		}
	}
}
