package scenes 
{
	import jp.progression.casts.*;
	import jp.progression.commands.display.*;
	import jp.progression.commands.lists.*;
	import jp.progression.commands.managers.*;
	import jp.progression.commands.media.*;
	import jp.progression.commands.net.*;
	import jp.progression.commands.tweens.*;
	import jp.progression.commands.*;
	import jp.progression.data.*;
	import jp.progression.events.*;
	import jp.progression.loader.*;
	import jp.progression.*;
	import jp.progression.scenes.*;
	import pages.MamePhoto;
	import pages.MameText;
	
	/**
	 * ...
	 * @author aoki
	 */
	public class MameScene extends SceneObject 
	{
		private var mamePhoto:MamePhoto;
		private var mameText:MameText;
		/**
		 * 新しい MameScene インスタンスを作成します。
		 */
		public function MameScene( name:String = null, initObject:Object = null ) 
		{
			// 親クラスを初期化する
			super( name, initObject );
			
			// シーンタイトルを設定します。
			title = "title";
			
			mamePhoto = new MamePhoto();
			mamePhoto.x = 120;
			mamePhoto.y = 40;
			mameText = new MameText();
			mameText.x = 119;
			mameText.y = 354;
		}
		override protected function atSceneLoad():void {
			GalleryScene(parent).backButton.sceneId = new SceneId( "/index/gallery/french" );
			GalleryScene(parent).nextButton.sceneId = new SceneId( "/index/gallery/american" );
			addCommand(
				new AddChild( container , GalleryScene(parent).photoBG ),
				new AddChild( container , GalleryScene(parent).closeButton ),
				new AddChild( container , GalleryScene(parent).photoBase ),
				new AddChild( container , GalleryScene(parent).backButton ),
				new AddChild( container , GalleryScene(parent).nextButton ),
				new AddChild( container , mamePhoto ),
				new AddChild( container , mameText)
			);
		}
		override protected function atSceneUnload():void {
			addCommand(
				new RemoveChild( container , mamePhoto ),
				new RemoveChild( container , mameText )
			);
		}
	}
}
